CVE-2009-0023 Details

CVE-2009-0023

Published: 2009-06-08
Last Modified: 2021-06-06
CVE Author: NIST National Vulnerability Database
CVE Assigner: secalert@redhat.com
Summary

The apr_strmatch_precompile function in strmatch/apr_strmatch.c in Apache APR-util before 1.3.5 allows remote attackers to cause a denial of service (daemon crash) via crafted input involving (1) a .htaccess file used with the Apache HTTP Server, (2) the SVNMasterURI directive in the mod_dav_svn module in the Apache HTTP Server, (3) the mod_apreq2 module for the Apache HTTP Server, or (4) an application that uses the libapreq2 library, which triggers a heap-based buffer underflow.

Analysis
Common Vulnerability Score System v2.0
Severity Medium
Base Score 4.3/10
Exploit Score 8.6/10
Access Vector Network
Access Complexity Medium
Authentication None
Impact Score 2.9/10
Confidentiality Impact None
Availability Impact Partial
Integrity Impact None
Vector String AV:N/AC:M/Au:N/C:N/I:N/A:P
Common Vulnerability Score System v3.1

NIST has not assigned a CVSSv3.1 Score.

Products Reported
CPE Vulnerable Start Excluding
cpe:2.3:a:apache:apr-util:0.9.2:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:apache:apr-util:0.9.3:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:apache:apr-util:1.1.1:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:apache:apr-util:1.1.2:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:apache:apr-util:1.3.1:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:apache:apr-util:1.3.2:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:apache:apr-util:0.9.5:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:apache:apr-util:1.0.1:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:apache:apr-util:1.2.6:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:apache:apr-util:1.2.7:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:apache:apr-util:0.9.4:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:apache:apr-util:1.0:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:apache:apr-util:1.2.1:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:apache:apr-util:1.2.2:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:apache:apr-util:1.3.3:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:apache:apr-util:*:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:apache:apr-util:0.9.1:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:apache:apr-util:1.0.2:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:apache:apr-util:1.1.0:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:apache:apr-util:1.2.8:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:apache:apr-util:1.3.0:*:*:*:*:*:*:* Yes - -
References

http://www.debian.org/security/2009/dsa-1812
http://www.securityfocus.com/bid/35221
http://secunia.com/advisories/35284
https://bugzilla.redhat.com/show_bug.cgi?id=503928
http://secunia.com/advisories/35360
http://www.apache.org/dist/apr/CHANGES-APR-UTIL-1.3
http://svn.apache.org/viewvc?view=rev&revision=779880
http://www.mandriva.com/security/advisories?name=MDVSA-2009:131
http://www.ubuntu.com/usn/usn-786-1
http://www.redhat.com/support/errata/RHSA-2009-1108.html
http://www.redhat.com/support/errata/RHSA-2009-1107.html
http://secunia.com/advisories/35444
http://slackware.com/security/viewer.php?l=slackware-security&y=2009&m=slackware-securit
http://secunia.com/advisories/34724
http://secunia.com/advisories/35487
http://secunia.com/advisories/35395
http://www.ubuntu.com/usn/usn-787-1
https://www.redhat.com/archives/fedora-package-announce/2009-June/msg01228.html
https://www.redhat.com/archives/fedora-package-announce/2009-June/msg01201.html
https://www.redhat.com/archives/fedora-package-announce/2009-June/msg01173.html
http://secunia.com/advisories/35565
http://www-01.ibm.com/support/docview.wss?uid=swg1PK91241
http://security.gentoo.org/glsa/glsa-200907-03.xml
http://secunia.com/advisories/35710
http://www-01.ibm.com/support/docview.wss?uid=swg1PK88341
http://secunia.com/advisories/35797
http://secunia.com/advisories/35843
http://www.vupen.com/english/advisories/2009/1907
http://support.apple.com/kb/HT3937
http://lists.apple.com/archives/security-announce/2009/Nov/msg00000.html
http://www.vupen.com/english/advisories/2009/3184
http://www-01.ibm.com/support/docview.wss?uid=swg27014463
http://www-01.ibm.com/support/docview.wss?uid=swg1PK99478
http://secunia.com/advisories/37221
http://wiki.rpath.com/Advisories:rPSA-2009-0144
http://marc.info/?l=bugtraq&m=129190899612998&w=2
http://www.oracle.com/technetwork/topics/security/cpuapr2013-1899555.html
http://www.mandriva.com/security/advisories?name=MDVSA-2013:150
https://exchange.xforce.ibmcloud.com/vulnerabilities/50964
https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A1
https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A1
http://www.securityfocus.com/archive/1/507855/100/0/threaded
https://lists.apache.org/thread.html/8d63cb8e9100f28a99429b4328e4e7cebce861d5772ac9863ba
https://lists.apache.org/thread.html/f7f95ac1cd9895db2714fa3ebaa0b94d0c6df360f742a409513
https://lists.apache.org/thread.html/r57608dc51b79102f3952ae06f54d5277b649c86d6533dcd6a7
https://lists.apache.org/thread.html/rfbaf647d52c1cb843e726a0933f156366a806cead84fbd4309
https://lists.apache.org/thread.html/r9ea3538f229874c80a10af473856a81fbf5f694cd7f471cc67
https://lists.apache.org/thread.html/r7dd6be4dc38148704f2edafb44a8712abaa3a2be120d6c3314
https://lists.apache.org/thread.html/rf6449464fd8b7437704c55f88361b66f12d5b5f90bcce66af4
https://lists.apache.org/thread.html/r84d043c2115176958562133d96d851495d712aa49da155d81f
https://lists.apache.org/thread.html/r9f93cf6dde308d42a9c807784e8102600d0397f5f834890708
https://lists.apache.org/thread.html/rdca61ae990660bacb682295f2a09d34612b7bb5f457577fe17
https://lists.apache.org/thread.html/rc4c53a0d57b2771ecd4b965010580db355e38137c8711311ee
https://lists.apache.org/thread.html/r8c9983f1172a3415f915ddb7e14de632d2d0c326eb1285755a
https://lists.apache.org/thread.html/rad01d817195e6cc871cb1d73b207ca326379a20a6e7f30feba
https://lists.apache.org/thread.html/r75cbe9ea3e2114e4271bbeca7aff96117b50c1b6eb7c4772b0

CVE ID
CVE-2009-0023
Published
2009-06-08
Modified
2021-06-06
CVSSv2.0
Medium
PCI Compliance
Fail
US-CERT Alert
No
CWE
CWE-119

Free Vulnerability Scanning, Assessment and Management

Mageni's Platform is packed with all the features you need to scan, assess and manage vulnerabilities like this - it is free, open source, lightning fast, reliable and scalable.

Router
Servers
Laptop
Database
Group
Cloud

Frequently Asked Questions

No, you can scan concurrently as many assets as you want. Please note that you must be aware of the hardware requeriments of the platform to ensure a good performance.

No, you can add as many assest as you want. It doesn't matters if you have millions of assets, we won't charge you for that.

No. The software is completely free. We have no intention to charge you to use the software, in fact - it completely goes against our beliefs and business model.

A vulnerability is defined in the ISO 27002 standard as “A weakness of an asset or group of assets that can be exploited by one or more threats” (International Organization for Standardization, 2005)

We generate revenue by providing support and other services for customers that require a subscription so they get guaranteed support and enterprise services. To use Mageni's Platform is completely free, with no limits at all.

Yes. Mageni understands that there are professionals and businesses that need commercial support so Mageni provides an active support subscription with everything needed to run Mageni's Platform reliably and securely. More than software, it's access to security experts, knowledge resources, security updates, and support tools you can't get anywhere else. The subscription includes:

  • Ongoing delivery
    • Patches
    • Bug fixes
    • Updates
    • Upgrades
  • Technical support
    • 24/7 availability
    • Unlimited Incidents
    • Specialty-based routing
    • Multi-Channel
  • Commitments
    • Software certifications
    • Software assurance
    • SLA

No, we don't store the information of your vulnerabilities in our servers.

Vulnerability management is the process in which vulnerabilities in IT are identified and the risks of these vulnerabilities are evaluated. This evaluation leads to correcting the vulnerabilities and removing the risk or a formal risk acceptance by the management of an organization. The term vulnerability management is often confused with vulnerability scanning. Despite the fact both are related, there is an important difference between the two. Vulnerability scanning consists of using a computer program to identify vulnerabilities in networks, computer infrastructure or applications. Vulnerability management is the process surrounding vulnerability scanning, also taking into account other aspects such as risk acceptance, remediation etc. Source: "Implementing a Vulnerability Management Process". SANS Institute.

I am ready to start scanning for vulnerabilities